-- Weapons Class and Subclass ID Table
DestroyusProApi.itemSubClassIdWeapon = {}
DestroyusProApi.itemClassIdWeapon = {}

-- Armors Class and Subclass ID Table
DestroyusProApi.itemClassIdArmor = {}
DestroyusProApi.itemSubClassIdArmor = {}

-- Artifact Relic Class and Subclass ID table
DestroyusProApi.itemClassIdGem = {}
DestroyusProApi.itemSubClassIdArtifactRelic = {}

-- Miscellaneous Class, Subclass ID and Inventory Type Table
DestroyusProApi.itemClassIdMiscellaneous = {}
DestroyusProApi.itemSubClassIdMiscellaneous = {}
DestroyusProApi.itemInvTypeMiscellaneous = {}

DestroyusProApi.ARMORS_CLASS_ID = 4
DestroyusProApi.MISCELLANEOUS_SUBCLASS_ID = 0
DestroyusProApi.CLOTH_SUBCLASS_ID = 1
DestroyusProApi.LEATHER_SUBCLASS_ID = 2
DestroyusProApi.MAIL_SUBCLASS_ID = 3
DestroyusProApi.PLATE_SUBCLASS_ID = 4
DestroyusProApi.SHIELDS_SUBCLASS_ID = 6

DestroyusProApi.WEAPONS_CLASS_ID = 2
DestroyusProApi.ONE_HANDED_AXES_SUBCLASS_ID = 0
DestroyusProApi.TWO_HANDED_AXES_SUBCLASS_ID = 1
DestroyusProApi.BOWS_SUBCLASS_ID = 2
DestroyusProApi.GUNS_SUBCLASS_ID = 3
DestroyusProApi.ONE_HANDED_MACES_SUBCLASS_ID = 4
DestroyusProApi.TWO_HANDED_MACES_SUBCLASS_ID = 5
DestroyusProApi.POLEARMS_SUBCLASS_ID = 6
DestroyusProApi.ONE_HANDED_SWORD_SUBCLASS_ID = 7
DestroyusProApi.TWO_HANDED_SWORD_SUBCLASS_ID = 8
DestroyusProApi.WARGLAIVES_SUBCLASS_ID = 9
DestroyusProApi.STAVES_SUBCLASS_ID = 10
DestroyusProApi.FIST_WEAPONS_SUBCLASS_ID = 13
DestroyusProApi.DAGGERS_SUBCLASS_ID = 15
DestroyusProApi.WANDS_SUBCLASS_ID = 19
DestroyusProApi.CROSSBOWS_SUBCLASS_ID = 18

DestroyusProApi.GEMS_CLASS_ID = 3
DestroyusProApi.ARTIFACT_RELIC_SUBCLASS_ID = 11

-- Class and SubClass Weapons ID
DestroyusProApi.itemClassIdWeapon[DestroyusProApi.WEAPONS_CLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.ONE_HANDED_AXES_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.TWO_HANDED_AXES_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.BOWS_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.GUNS_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.ONE_HANDED_MACES_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.TWO_HANDED_MACES_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.POLEARMS_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.ONE_HANDED_SWORD_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.TWO_HANDED_SWORD_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.WARGLAIVES_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.STAVES_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.FIST_WEAPONS_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.DAGGERS_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.WANDS_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdWeapon[DestroyusProApi.CROSSBOWS_SUBCLASS_ID] = true

-- Class and SubClass Armors ID
DestroyusProApi.itemClassIdArmor[DestroyusProApi.ARMORS_CLASS_ID] = true 
DestroyusProApi.itemSubClassIdArmor[DestroyusProApi.CLOTH_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdArmor[DestroyusProApi.LEATHER_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdArmor[DestroyusProApi.MAIL_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdArmor[DestroyusProApi.PLATE_SUBCLASS_ID] = true
DestroyusProApi.itemSubClassIdArmor[DestroyusProApi.SHIELDS_SUBCLASS_ID] = true

-- Class, SubClass ID and Inventory Type Miscellaneous
DestroyusProApi.itemClassIdMiscellaneous[DestroyusProApi.ARMORS_CLASS_ID] = true
DestroyusProApi.itemSubClassIdMiscellaneous[DestroyusProApi.MISCELLANEOUS_SUBCLASS_ID] = true
DestroyusProApi.itemInvTypeMiscellaneous["INVTYPE_TRINKET"] = true
DestroyusProApi.itemInvTypeMiscellaneous["INVTYPE_NECK"] = true
DestroyusProApi.itemInvTypeMiscellaneous["INVTYPE_FINGER"] = true
DestroyusProApi.itemInvTypeMiscellaneous["INVTYPE_HOLDABLE"] = true


DestroyusProApi.itemClassIdGem[DestroyusProApi.GEMS_CLASS_ID] = true 
DestroyusProApi.itemSubClassIdArtifactRelic[DestroyusProApi.ARTIFACT_RELIC_SUBCLASS_ID] = true

-- Set default value for elements not exist in tables
ExtraTabFun.setDefault(DestroyusProApi.itemSubClassIdWeapon, false)
ExtraTabFun.setDefault(DestroyusProApi.itemClassIdWeapon, false)

ExtraTabFun.setDefault(DestroyusProApi.itemClassIdArmor, false)
ExtraTabFun.setDefault(DestroyusProApi.itemSubClassIdArmor, false)

ExtraTabFun.setDefault(DestroyusProApi.itemClassIdMiscellaneous, false)
ExtraTabFun.setDefault(DestroyusProApi.itemSubClassIdMiscellaneous, false)
ExtraTabFun.setDefault(DestroyusProApi.itemInvTypeMiscellaneous, false)

ExtraTabFun.setDefault(DestroyusProApi.itemClassIdGem, false)
ExtraTabFun.setDefault(DestroyusProApi.itemSubClassIdArtifactRelic, false)